> # NAME

> degrees - converts values of scalars and vectors from radians to degrees

> # SYNOPSIS

>       float  degrees(float  a);
>       float1 degrees(float1 a);
>       float2 degrees(float2 a);
>       float3 degrees(float3 a);
>       float4 degrees(float4 a);

>       half   degrees(half  a);
>       half1  degrees(half1 a);
>       half2  degrees(half2 a);
>       half3  degrees(half3 a);
>       half4  degrees(half4 a);

>       fixed  degrees(fixed  a);
>       fixed1 degrees(fixed1 a);
>       fixed2 degrees(fixed2 a);
>       fixed3 degrees(fixed3 a);
>       fixed4 degrees(fixed4 a);

> # PARAMETERS

> a

>   Vector or scalar of which to convert from radians to degrees.

> # DESCRIPTION

> Returns the scalar or vector converted from radians to degrees.

> For vectors, the returned vector contains each element of the input vector converted from radians to degrees.

> # REFERENCE IMPLEMENTATION

> degrees for a float scalar could be implemented like this.

>       float degrees(float a)
>       {
>         return 57.29577951 * a;
>       }

> # PROFILE SUPPORT

> degrees is supported in all profiles except fp20.

> # SEE ALSO

> cos, radians, sin, tan